# Method: properties.subpropertySyncConfigs.list

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.ListSubpropertySyncConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs/list#try-it)

List all `SubpropertySyncConfig` resources for a property.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/{parent=properties/*}/subpropertySyncConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the property. Format: properties/property_id Example: properties/123 |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of resources to return. The service may return fewer than this value, even if there are additional pages. If unspecified, at most 50 resources will be returned. The maximum value is 200; (higher values will be coerced to the maximum) |
| `pageToken` | `string` Optional. A page token, received from a previous `ListSubpropertySyncConfig` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSubpropertySyncConfig` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for subpropertySyncConfigs.list RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subpropertySyncConfigs": [ { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs#SubpropertySyncConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `subpropertySyncConfigs[]` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs#SubpropertySyncConfig`)`` List of `SubpropertySyncConfig` resources. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`